
execute as @a[team=trident,nbt=!{Inventory:[{id:"minecraft:trident"}]}] at @s unless entity @e[type=trident,distance=..80] run kill @e[type=trident]
execute as @a[team=trident,nbt=!{Inventory:[{id:"minecraft:trident"}]}] at @s unless entity @e[type=trident,distance=..80] run give @s trident{Unbreakable:1,Enchantments:[{id:loyalty,lvl:5}],display:{Name:'{"text":"Trident","color":"aqua","italic":"false"}',Lore:['{"text":"(Right Click to Throw)","color":"dark_gray","italic":"false"}']},HideFlags:7,Cursed:1b,AttributeModifiers:[{AttributeName:"generic.attack_damage",Amount:0,Name:"generic.attack_damage",UUID:[I;-122328,30393,22836,-60786]}]} 1
effect give @a[team=trident,nbt={Inventory:[{id:"minecraft:trident",tag:{Cursed:1b}}]}] speed infinite 5 true
effect clear @a[nbt=!{Inventory:[{id:"minecraft:trident",tag:{Cursed:1b}}]}] speed
clear @a[team=!trident,nbt={Inventory:[{id:"minecraft:trident",tag:{Cursed:1b}}]}] minecraft:trident{Cursed:1b}


scoreboard players remove @a[scores={shoot_bow=1..},team=pvp] arrow_count 1

execute if score match_state game_state matches 1.. run tag @a[team=pvp,nbt=!{Inventory:[{id:"minecraft:arrow",Slot:8b,tag:{Ammo:1b}}]}] add update_arrows
execute if score match_state game_state matches 1.. as @a[team=pvp] store result score @s display_timer run data get entity @s Inventory[1].Count
execute if score match_state game_state matches 1.. as @a[team=pvp] unless score @s display_timer = @s arrow_count run tag @s add update_arrows
execute if score match_state game_state matches 1.. run clear @a[tag=update_arrows] arrow{Ammo:1b}
execute if score match_state game_state matches 1.. run item replace entity @a[tag=update_arrows,team=pvp,scores={arrow_count=1}] hotbar.8 with arrow{Ammo:1b} 1
execute if score match_state game_state matches 1.. run item replace entity @a[tag=update_arrows,team=pvp,scores={arrow_count=2}] hotbar.8 with arrow{Ammo:1b} 2
execute if score match_state game_state matches 1.. run item replace entity @a[tag=update_arrows,team=pvp,scores={arrow_count=3}] hotbar.8 with arrow{Ammo:1b} 3
execute if score match_state game_state matches 1.. run item replace entity @a[tag=update_arrows,team=pvp,scores={arrow_count=4}] hotbar.8 with arrow{Ammo:1b} 4
execute if score match_state game_state matches 1.. run item replace entity @a[tag=update_arrows,team=pvp,scores={arrow_count=5}] hotbar.8 with arrow{Ammo:1b} 5
execute if score match_state game_state matches 1.. run item replace entity @a[tag=update_arrows,team=pvp,scores={arrow_count=6}] hotbar.8 with arrow{Ammo:1b} 6
execute if score match_state game_state matches 1.. run item replace entity @a[tag=update_arrows,team=pvp,scores={arrow_count=7}] hotbar.8 with arrow{Ammo:1b} 7
execute if score match_state game_state matches 1.. run item replace entity @a[tag=update_arrows,team=pvp,scores={arrow_count=8}] hotbar.8 with arrow{Ammo:1b} 8
execute if score match_state game_state matches 1.. run item replace entity @a[tag=update_arrows,team=pvp,scores={arrow_count=9}] hotbar.8 with arrow{Ammo:1b} 9
execute if score match_state game_state matches 1.. run item replace entity @a[tag=update_arrows,team=pvp,scores={arrow_count=10}] hotbar.8 with arrow{Ammo:1b} 10
tag @a[tag=update_arrows] remove update_arrows



execute as @e[type=arrow,tag=!stun] run data merge entity @s {CustomPotionEffects:[{Id:2b,Duration:30,Amplifier:3b,ShowParticles:0b}],Color:-1}
tag @e[type=arrow,tag=!stun] add stun

execute if score match_state game_state matches 1.. as @a[team=!lobby,team=!spectator,nbt={ActiveEffects:[{Id:2}]},nbt=!{ActiveEffects:[{Id:15}]}] at @s run playsound minecraft:entity.zombie.infect player @a ~ ~1 ~ 0.5 0.75
execute if score match_state game_state matches 1.. as @a[team=!lobby,team=!spectator,nbt={ActiveEffects:[{Id:2}]},nbt=!{ActiveEffects:[{Id:15}]}] at @s run particle large_smoke ~ ~0.7 ~ 0 0.5 0 0.03 25 normal @a[distance=0.1..]
execute if score match_state game_state matches 1.. as @a[team=!lobby,team=!spectator,nbt=!{ActiveEffects:[{Id:2}]},nbt={ActiveEffects:[{Id:15}]}] at @s run playsound minecraft:entity.zombie.infect player @a ~ ~1 ~ 0.5 1.5

execute if score match_state game_state matches 1.. run effect give @a[team=!lobby,team=!spectator,nbt={ActiveEffects:[{Id:2}]}] minecraft:blindness infinite 0 true
execute unless score match_state game_state matches 0 run effect clear @a[team=!lobby,team=!spectator,nbt=!{ActiveEffects:[{Id:2}]}] minecraft:blindness

execute if score match_state game_state matches 1.. if entity @a[team=trident,nbt=!{ActiveEffects:[{Id:15}]}] run effect give @a[team=pvp] glowing infinite 0 true
execute if score match_state game_state matches 1.. if entity @a[team=trident,nbt={ActiveEffects:[{Id:15}]}] run effect clear @a[team=pvp] glowing
execute if score match_state game_state matches 1.. run effect give @a[team=!spectator,team=!editor,team=!lobby] resistance infinite 4 true
execute if score match_state game_state matches ..0 run effect clear @a[team=pvp,tag=!ghost] glowing
effect clear @a[team=!pvp] glowing
effect clear @a[tag=ghost] glowing


execute as @e[type=trident,tag=can_hit] at @s run particle soul_fire_flame ~ ~ ~
tag @e[type=trident,nbt={DealtDamage:0b},tag=!can_hit] add can_hit



execute as @e[type=trident,tag=can_hit,nbt={DealtDamage:1b},nbt=!{inBlockState:{}}] at @s run tag @a[team=pvp,sort=nearest,limit=1,distance=..6,nbt=!{HurtTime:0s}] add trident_hit
execute if entity @a[tag=trident_hit] run tellraw @a[team=!lobby] {"text":"[","color":"gray","extra":[{"selector":"@a[team=trident]","color":"aqua"},{"text":" 🔱 ","color":"dark_aqua"},{"selector":"@a[tag=trident_hit]"},{"text":"]"}]}


execute if score match_state game_state matches 2 run tag @r[team=pvp,tag=!ghost] add trident_hit
execute if score match_state game_state matches 2 as @a[team=pvp] run scoreboard players operation @s arrow_count = score_target game_state
execute if score match_state game_state matches 2 run scoreboard players operation match_time time = match_time game_state
execute if score match_state game_state matches 2 run scoreboard players operation match_time time /= time_const_cott constants
execute if score match_state game_state matches 2 run scoreboard players add match_time time 600
execute if score match_state game_state matches 2.. run scoreboard players remove match_state game_state 1
execute if score match_state game_state matches 80 as @a[team=!lobby] at @s run playsound minecraft:block.bell.resonate master @s ~ ~1 ~ 1000 0.5
execute if score match_state game_state matches ..0 run stopsound @a[team=!lobby] master minecraft:block.bell.resonate


execute if entity @a[tag=trident_hit] as @a[team=trident] at @s run playsound minecraft:entity.player.levelup master @s ~ ~1 ~ 0.2 1.2
execute if entity @a[tag=trident_hit] run clear @a[team=trident]
execute if entity @a[tag=trident_hit] as @a[team=trident] run scoreboard players operation @s arrow_count = score_target game_state
execute if entity @a[tag=trident_hit] run kill @e[type=trident]
execute if entity @a[tag=trident_hit] run team join pvp @a[team=trident]
team join trident @a[tag=trident_hit]
clear @a[tag=trident_hit]
execute if entity @a[tag=trident_hit] run title @a[team=!lobby] times 0 40 20
execute if entity @a[tag=trident_hit] run title @a[team=!lobby] title ""
execute if entity @a[tag=trident_hit] run title @a[team=!lobby,tag=!trident_hit] subtitle {"selector":"@a[tag=trident_hit]","extra":[{"text":" has the curse!","color":"gray"}]}
title @a[tag=trident_hit] subtitle {"text":"You now have the ","color":"gray","extra":[{"text":"Trident Curse","color":"aqua"},{"text":"!"}]}
execute if entity @a[tag=trident_hit] as @a[team=!lobby] at @s run playsound minecraft:item.trident.thunder master @s ~ ~1 ~ 0.3 2
execute if entity @a[tag=trident_hit] as @a[team=!lobby] at @s run playsound minecraft:entity.generic.explode master @s ~ ~1 ~ 0.3 2
execute as @a[tag=trident_hit] at @s run playsound minecraft:entity.elder_guardian.curse master @s ~ ~1 ~ 0.5 0.8
effect give @a[tag=trident_hit] minecraft:slowness 2 10 true
tag @a[tag=trident_hit] remove trident_hit

team join trident @a[tag=trident_hit]


execute if score match_state game_state matches 1 if score match_time time matches ..0 run tag @a[team=trident,tag=!ghost] add trident_kill
tag @a[tag=trident_kill,tag=ghost] remove trident_kill
execute if entity @a[tag=trident_kill] as @a[team=!lobby,team=!editor] at @s run playsound minecraft:entity.lightning_bolt.thunder master @s ~ ~1 ~ 0.5 1.3
execute if entity @a[tag=trident_kill] run kill @e[type=trident]
execute as @a[tag=trident_kill] at @s run playsound minecraft:entity.lightning_bolt.impact player @a[team=!lobby] ~ ~1 ~ 1 1.3 0.15
execute as @a[tag=trident_kill] at @s run playsound minecraft:entity.wither.death master @a[team=!lobby] ~ ~1 ~ 0.6 1.5 0.15
execute if score players count matches 3.. if entity @a[tag=trident_kill] as @a[team=!lobby,team=!editor] at @s run playsound minecraft:entity.elder_guardian.curse master @s ~ ~1 ~ 0.5 0.5 0.1
execute if score players count matches 3.. if entity @a[tag=trident_kill] run title @a[team=!lobby] times 0 80 20
execute if score players count matches 3.. if entity @a[tag=trident_kill] run title @a[team=!lobby] title ""
execute if score players count matches 3.. if entity @a[tag=trident_kill] run title @a[team=!lobby] subtitle {"selector":"@a[tag=trident_kill]","extra":[{"text":" was killed by the curse!","color":"gray"}]}
execute if score players count matches 3.. if entity @a[tag=trident_kill] run scoreboard players set match_state game_state 150
execute as @a[tag=trident_kill] at @s run particle end_rod ~ ~10 ~ 0 3 0 0.06 100 force
execute as @a[tag=trident_kill] at @s run particle firework ~ ~1 ~ 0 0 0 0.3 60
execute as @a[tag=trident_kill] at @s run particle flash ~ ~1 ~ 0 0 0 0 1 force
execute as @a[tag=trident_kill] at @s run particle minecraft:soul_fire_flame ~ ~1 ~ 0 0 0 0.1 40
execute as @a[tag=trident_kill] at @s run particle minecraft:explosion ~ ~1 ~ 1 1 1 0 10 force
execute as @a[tag=trident_kill] at @s run particle minecraft:soul ~ ~1.5 ~ 0 0 0 0 1
execute as @a[tag=trident_kill] run tellraw @a[team=!lobby,team=!editor] {"text":"[","color":"gray","extra":[{"text":"☠ ","color":"dark_aqua"},{"selector":"@s"},{"text":"]"}]}
tag @a[tag=trident_kill] add ghost
team join players @a[tag=trident_kill]
effect give @a[tag=trident_kill] blindness 2 0 true

tag @a[tag=trident_kill] remove trident_kill

execute if score players count matches 2.. if score match_state game_state matches 1 unless entity @a[team=trident] run scoreboard players set match_time time 0
execute if score players count matches 2.. if score match_state game_state matches 1 unless entity @a[team=trident] run scoreboard players set match_state game_state 60

tag @e[type=trident,nbt={DealtDamage:1b},tag=can_hit] remove can_hit
execute as @e[type=trident,tag=!can_hit] at @s run particle cloud ~ ~ ~